%define    name   xlogical
%define    longname  XLogical
%define    majorversion   1.0
%define    subversion 8
%define    version %{majorversion}_%{subversion}
%define    sourceversion %{majorversion}-%{subversion}

%define    release %mkrel 3

Summary:   %{longname} - A puzzle game
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{sourceversion}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch0:    xlogical-c++-compil.patch
Group:     Games/Arcade
License: GPL
URL:        http://changeling.ixionstudios.com/xlogical/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel
BuildRequires: autoconf2.5
BuildRequires: automake1.4

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n %{name}-%{sourceversion} -q
%patch0 -p0 -b .nanar

%build

rm -f config.* configure

aclocal-1.4
automake-1.4 -a
autoconf

%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir

%make

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}" \
	needs="X11" \
	section="More applications/Games/Arcade" \
	icon="%{name}.png" \
	title="%{longname}" \
	longtitle="A puzzle game" \
    xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A puzzle game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/%{name}
%{_localstatedir}/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0_8-3mdv2008.1
+ Revision: 136608
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-3mdv2007.0
+ Revision: 108980
- buildrequires
- rebuild

* Sat Sep 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-2mdv2007.0
+ Revision: 60632
- fix menu (use summary macros)

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-1mdv2007.0
+ Revision: 41284
- fix patch to make it compil (couriousous)
- 1.0-8
- Import xlogical

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.4mdk
- rebuild
- fix build

